## Panel.Panel Panel.Panel — A panel object on the monitor |

## Functions

| updatePosition ()
| destroy ()
| highlight ()
| isHideable ()
| _getProperty ()
| _moveResizePanel ()
| _updatePanelVisibility ()
| _queueShowHidePanel ()
| disable ()
| enable ()
| _showPanel ()
| _hidePanel ()

## Properties

int | panelId |
int | monitorIndex |
Meta.Rectangle | monitor |
boolean | bottomPosition |
Cinnamon.GenericContainer | actor |
boolean | scaleMode |
St.BoxLayout | _leftBox |
St.BoxLayout | _centerBox |
St.BoxLayout | _rightBox |
boolean | _hidden |
boolean | _disabled |
boolean | _panelEditMode |
Panel.PanelContextMenu | _context_menu |

## Object Hierarchy

        Object
        ╰── Panel.Panel

## Description

This represents a panel on the screen.

## Functions

### updatePosition ()

    updatePosition (monitorIndex);

Moves the panel to the monitor `monitorIndex` and position `bottomPosition`

#### Parameters

monitorIndex | integer, index of monitor `bottomPosition`, boolean, whether it should be placed at bottom |

### destroy ()

    destroy ();

Destroys the panel

### highlight ()

    highlight (boolean   highlight);

Turns on/off the highlight of the panel

#### Parameters

highlight | whether to turn on or off |

### isHideable ()

    isHideable ();

#### Returns

whether the panel can be hidden (auto-hide or intellihide)

### _getProperty ()

    _getProperty (string   key,
                  string   type);

Gets the desired property of the panel from gsettings

#### Parameters

key | name of gsettings key |
type | (optional) type of data requested. "b" for boolean, "i" for integer. Default value is string |

#### Returns

property required

### _moveResizePanel ()

    _moveResizePanel ();

Function to update the panel position and size according to settings values.

### _updatePanelVisibility ()

    _updatePanelVisibility ();

Checks whether the panel should show based on the autohide settings and position of mouse/active window. It then calls the _queueShowHidePanel function to show or hide the panel as necessary.

### _queueShowHidePanel ()

    _queueShowHidePanel ();

Makes the panel show or hide after a delay specified by panels-show-delay and panels-hide-delay.

### disable ()

    disable ();

Disables the panel by settings the opacity to 0 and hides if autohide is enable. The actor is then hidden after the animation.

### enable ()

    enable ();

Reverses the effects of the disable function.

### _showPanel ()

    _showPanel ();

A function to force the panel to show. This has no effect if the panel is disabled.

### _hidePanel ()

    _hidePanel (boolean   force);

This hides the panel unless this._shouldShow is false. This behaviour is overridden if the `force` argument is set to true. However, the panel will always not be hidden if a menu is open, regardless of the value of `force`.

#### Parameters

force | whether or not to force the hide. |

## Property Details

### The “panelId” property

      “panelId”              int

the id of the panel

### The “monitorIndex” property

      “monitorIndex”         int

the index of the monitor containing the panel

### The “monitor” property

      “monitor”              Meta.Rectangle

the geometry (bounding box) of the monitor

### The “bottomPosition” property

      “bottomPosition”       boolean

whether the panel is at the bottom of the screen

### The “actor” property

      “actor”                Cinnamon.GenericContainer

the actor of the panel

### The “scaleMode” property

      “scaleMode”            boolean

whether the applets should scale with the panel

### The “_leftBox” property

      “_leftBox”             St.BoxLayout

the box containing all the applets in the left region

### The “_centerBox” property

      “_centerBox”           St.BoxLayout

the box containing all the applets in the center region

### The “_rightBox” property

      “_rightBox”            St.BoxLayout

the box containing all the applets in the right region

### The “_hidden” property

      “_hidden”              boolean

whether the panel is currently hidden

### The “_disabled” property

      “_disabled”            boolean

whether the panel is disabled

### The “_panelEditMode” property

      “_panelEditMode”       boolean

whether the panel edit mode is on

### The “_context_menu” property

      “_context_menu”        Panel.PanelContextMenu

the context menu of the panel